| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 > Struct Template Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/callbacks.h>`

Inheritance diagram for Tp::FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >:
[legend]

## Public Types

typedef R | ResultType
typedef R(* | InvokeType) (AbstractFunctorCaller *, Arg1, Arg2, Arg3, Arg4, Arg5)
Public Types inherited from Tp::AbstractFunctorCaller
typedef void *(* | HookType) (void *)

## Public Member Functions

| FunctorCaller5 (const Functor &functor)
Public Member Functions inherited from Tp::BaseFunctorCaller< FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >, Functor >
| BaseFunctorCaller (const Functor &functor, AbstractFunctorCaller::HookType invokeMethodHook)
virtual | ~BaseFunctorCaller ()
virtual AbstractFunctorCaller * | clone () const
Public Member Functions inherited from Tp::AbstractFunctorCaller
| AbstractFunctorCaller (HookType invokeMethodHook)
virtual | ~AbstractFunctorCaller ()

## Static Public Member Functions

static ResultType | invoke (AbstractFunctorCaller *call, Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5)

## Additional Inherited Members

Public Attributes inherited from Tp::BaseFunctorCaller< FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >, Functor >
Functor | functor
Public Attributes inherited from Tp::AbstractFunctorCaller
HookType | invokeMethodHook

## Member Typedef Documentation

## § ResultType

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

typedef R Tp::FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >::ResultType

## § InvokeType

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

typedef R(* Tp::FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >::InvokeType) (AbstractFunctorCaller *, Arg1, Arg2, Arg3, Arg4, Arg5)

## Constructor & Destructor Documentation

## § FunctorCaller5()

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

Tp::FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >::FunctorCaller5 | ( | const Functor & | functor | ) |

inline explicit

## Member Function Documentation

## § invoke()

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

static ResultType Tp::FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >::invoke | ( | AbstractFunctorCaller * | call,
|  | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5
| ) |  |

inline static